biology/py-macs2: Restrict to python 2.7
ClosedPublic

Authored by jwb on Dec 3 2017, 1:04 PM.

Details

Summary

biology/py-macs2: Restrict to python 2.7
Approved by: jrm (mentor) or wen(mentor)
Differential to be added to commit message

I have to check my poudriere config and see why it didn't pick this up.

./work-py27/MACS-6946b2f/setup_w_cython.py: sys.stderr.write("CRITICAL: Python version must be 2.7!\n")

Test Plan

portlint -C: Clean
Tested on poudriere {10.3,11.1}-{amd64,i386}

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jwb created this revision.Dec 3 2017, 1:04 PM
mat added a comment.Dec 4 2017, 1:19 PM

Proper testing with:

poudriere bulk -t biology/py-macs2@all

would probably have told you it was not working too.

This revision was automatically updated to reflect the committed changes.